dnl
dnl $Id: config.m4 291957 2009-12-10 17:13:14Z cyberspice $
dnl 

PHP_ARG_ENABLE(framegrab, whether to enable video frame grabber support,
[  --enable-framegrab=[DIR]           Enable video frame grabber support])

if test "$PHP_FRAMEGRAB" != "no"; then
  SEARCH_PATH="/usr/local /usr"
  SEARCH_FOR="/include/png.h"
  if test -r $PHP_FRAMEGRAB/$SEARCH_FOR; then # path given as parameter
    PNG_DIR=$PHP_FRAMEGRAB
  else
    AC_MSG_CHECKING([for libpng files in default path])
    for i in $SEARCH_PATH ; do
      if test -r $i/$SEARCH_FOR; then
        PNG_DIR=$i
        AC_MSG_RESULT(found in $i)
      fi
    done
  fi
  
  if test -z "$PNG_DIR"; then
    AC_MSG_RESULT([not found])
    AC_MSG_ERROR([The required libpng library was not found.  You can obtain that package from http://sourceforge.net/projects/libpng/])
  fi
  
  PHP_ADD_INCLUDE($PNG_DIR/include)
  
  LIBNAME=png
  LIBSYMBOL=png_create_write_struct
  
  PHP_CHECK_LIBRARY($LIBNAME,$LIBSYMBOL,
  [
    PHP_ADD_LIBRARY_WITH_PATH($LIBNAME, $PNG_DIR/lib, PNG_SHARED_LIBADD)
    AC_DEFINE(HAVE_PNGLIB,1,[Have libpng])
  ],[
    AC_MSG_ERROR([libpng not found])
  ],[
    -L$PNG_DIR/lib
  ])
  
  PHP_SUBST(PNG_SHARED_LIBADD)

  PHP_NEW_EXTENSION(framegrab, framegrab.c framegrab_image.c framegrab_device.c linux/framegrab_linux.c, $ext_shared)
fi
